## foo2zjs 20110210dfsg

=== Makefile ===
LANG=C
UNAME := $(shell uname)
MACH := $(shell uname -m | sed 's/i.86/x86_32/')

ifeq ($(UNAME),SunOS)
    EUID := $(shell /usr/xpg4/bin/id -u)
    SHELL=bash
    CC=gcc
    OLDGROFF=OLDGROFF
else
    EUID := $(shell id -u)
endif

SYSNAME := $(shell uname -n)

# No version number yet...
VERSION=0.0

# Installation prefix...
PREFIX=/usr/local
PREFIX=/usr
PREFIX=$(DESTDIR)/usr

# Pathnames for this package...
BIN=$(PREFIX)/bin
SHAREZJS=$(PREFIX)/share/foo2zjs
SHAREOAK=$(PREFIX)/share/foo2oak
SHAREHP=$(PREFIX)/share/foo2hp
SHAREXQX=$(PREFIX)/share/foo2xqx
SHARELAVA=$(PREFIX)/share/foo2lava
SHAREQPDL=$(PREFIX)/share/foo2qpdl
SHARESLX=$(PREFIX)/share/foo2slx
SHAREHC=$(PREFIX)/share/foo2hiperc
MANDIR=$(PREFIX)/share/man
DOCDIR=$(PREFIX)/share/doc/foo2zjs/
INSTALL=install
ROOT=root

# Pathnames for referenced packages...
FOODB=$(DESTDIR)/usr/share/foomatic/db/source

# User ID's
LPuid=-oroot
LPgid=-glp
ifeq ($(UNAME),Darwin)
    LPuid=-oroot
    LPgid=-gwheel
    ROOT=sudo
endif
ifeq ($(UNAME),FreeBSD)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),OpenBSD)
    LPuid=-oroot
    LPgid=-gwheel
endif
ifeq ($(UNAME),SunOS)
    LPuid=-oroot
    LPgid=-glp
    INSTALL=/usr/ucb/install
endif
# If we aren't root, don't try to set ownership
ifneq ($(EUID),0)
    LPuid=
    LPgid=
endif

# Definition of modtime()
MODTIME= date -d "1/1/1970 utc + `stat -t $$1 | cut -f14 -d' '` seconds" "+%a %b %d %T %Y"
ifeq ($(UNAME),FreeBSD)
    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
endif
ifeq ($(UNAME),OpenBSD)
    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
endif
ifeq ($(UNAME),Darwin)
    MODTIME= stat -f "%Sm" -t "%a %b %d %T %Y" $$1
endif
ifeq ($(UNAME),SunOS)
    MODTIME= `ls -e $$1 | cut -c42-61`
endif

CUPS_SERVERBIN := $(shell cups-config --serverbin 2>/dev/null)

#
# Files for tarball
#
NULL=
WEBFILES=	\
		foo2zjs.html.in \
		style.css \
		archzjs.fig \
		2300.png \
		2430.png \
		1020.png \
		foo2oak.html.in \
		archoak.fig \
		1500.gif \
		foo2hp.html.in \
		archhp.fig \
		2600.gif \
		foo2xqx.html.in \
		archxqx.fig \
		m1005.gif \
		foo2lava.html.in \
		archlava.fig \
		2530.gif \
		foo2qpdl.html.in \
		archqplp.fig \
		foo2slx.html.in \
		archslx.fig \
		c500n.png \
		foo2hiperc.html.in \
		archhiperc.fig \
		c3400n.png \
		$(NULL)
	
FILES	=	\
		README \
		README.in \
		INSTALL \
		INSTALL.in \
		INSTALL.osx \
		INSTALL.usb \
		COPYING \
		ChangeLog \
		Makefile \
		foo2zjs.c \
		foo2zjs.1in \
		jbig.c \
		jbig.h \
		jbig_ar.c \
		jbig_ar.h \
		zjsdecode.c \
		zjsdecode.1in \
		zjs.h \
		foo2hp.c \
		foo2hp.1in \
		foo2xqx.c \
		foo2xqx.1in \
		foo2lava.c \
		foo2lava.1in \
		foo2qpdl.c \
		foo2qpdl.1in \
		foo2slx.c \
		foo2slx.1in \
		foo2hiperc.c \
		foo2hiperc.1in \
		cups.h \
		xqx.h \
		xqxdecode.c \
		xqxdecode.1in \
		lavadecode.c \
		lavadecode.1in \
		qpdl.h \
		qpdldecode.c \
		qpdldecode.1in \
		opldecode.c \
		opldecode.1in \
		slx.h \
		slxdecode.c \
		slxdecode.1in \
		gipddecode.c \
		gipddecode.1in \
		foo2zjs-wrapper.in \
		foo2zjs-wrapper.1in \
		foo2hp2600-wrapper.in \
		foo2hp2600-wrapper.1in \
		foo2xqx-wrapper.in \
		foo2xqx-wrapper.1in \
		foo2lava-wrapper.in \
		foo2lava-wrapper.1in \
		foo2qpdl-wrapper.in \
		foo2qpdl-wrapper.1in \
		foo2slx-wrapper.in \
		foo2slx-wrapper.1in \
		foo2hiperc-wrapper.in \
		foo2hiperc-wrapper.1in \
		gamma.ps \
		gamma-lookup.ps \
		align.ps \
		testpage.ps \
		foomatic-db/*/*.xml \
		foomatic-test \
		getweb.in \
		icc2ps/*.[ch] \
		icc2ps/*.1in \
		icc2ps/Makefile \
		icc2ps/AUTHORS \
		icc2ps/COPYING \
		icc2ps/README \
		icc2ps/README.foo2zjs \
		osx-hotplug/Makefile \
		osx-hotplug/*.m \
		osx-hotplug/*.1in \
		ppd-adjust \
		PPD/*.ppd \
		crd/zjs/*.crd \
		crd/zjs/*.ps \
		crd/qpdl/*cms* \
		crd/qpdl/*.ps \
		arm2hpdl.c \
		arm2hpdl.1in \
		usb_printerid.c \
		usb_printerid.1in \
		hplj1000 \
		hplj10xx.rules* \
		msexpand \
		oak.h \
		foo2oak.c \
		foo2oak.1in \
		oakdecode.c \
		oakdecode.1in \
		foo2oak-wrapper.in \
		foo2oak-wrapper.1in \
		hiperc.h \
		hipercdecode.c \
		hipercdecode.1in \
		c5200mono.prn \
		foo2zjs-pstops.sh \
		foo2zjs-pstops.1in \
		hplj1020.desktop \
		hplj1020_icon.png \
		hplj1020_icon.gif \
		hplj10xx_gui.tcl \
		includer-man \
		macros.man \
		regress.txt \
		printer-profile.sh \
		printer-profile.1in \
		freebsd-install \
		hplj10xx.conf \
		modify-ppd \
		command2foo2lava-pjl.c \
		$(NULL)

# hpclj2600n-0.icm km2430_0.icm km2430_1.icm km2430_2.icm samclp300-0.icm
# sihp1000.img sihp1005.img sihp1020.img sihp1018.img
# sihpP1005.img sihpP1006.img sihpP1505.img

CUPS_DEVEL := $(shell ls /usr/include/cups/sidechannel.h 2>/dev/null)

# Programs and libraries
PROGS=		foo2zjs zjsdecode arm2hpdl foo2hp foo2xqx xqxdecode
PROGS+=		foo2lava lavadecode foo2qpdl qpdldecode opldecode
PROGS+=		foo2oak oakdecode
PROGS+=		foo2slx slxdecode
PROGS+=		foo2hiperc hipercdecode
PROGS+=		gipddecode
ifneq ($(CUPS_SERVERBIN),)
    ifneq ($(CUPS_DEVEL),)
	PROGS+=	command2foo2lava-pjl
    endif
endif
SHELLS=		foo2zjs-wrapper foo2oak-wrapper foo2hp2600-wrapper \
		foo2xqx-wrapper foo2lava-wrapper foo2qpdl-wrapper \
		foo2slx-wrapper foo2hiperc-wrapper
SHELLS+=	foo2zjs-pstops
SHELLS+=	printer-profile
MANPAGES=	foo2zjs-wrapper.1 foo2zjs.1 zjsdecode.1
MANPAGES+=	foo2oak-wrapper.1 foo2oak.1 oakdecode.1
MANPAGES+=	foo2hp2600-wrapper.1 foo2hp.1
MANPAGES+=	foo2xqx-wrapper.1 foo2xqx.1 xqxdecode.1
MANPAGES+=	foo2lava-wrapper.1 foo2lava.1 lavadecode.1 opldecode.1
MANPAGES+=	foo2qpdl-wrapper.1 foo2qpdl.1 qpdldecode.1
MANPAGES+=	foo2slx-wrapper.1 foo2slx.1 slxdecode.1
MANPAGES+=	foo2hiperc-wrapper.1 foo2hiperc.1 hipercdecode.1
MANPAGES+=	gipddecode.1
MANPAGES+=	foo2zjs-pstops.1 arm2hpdl.1 usb_printerid.1
MANPAGES+=	printer-profile.1
LIBJBG	=	jbig.o jbig_ar.o
BINPROGS=

ifeq ($(UNAME),Linux)
	BINPROGS += usb_printerid
endif

# Compiler flags
CFLAGS +=	-O2 -Wall
#CFLAGS +=	-g

#
# Rules to create test documents
#
GX=10200
GY=6600
GXR=1200
GYR=600
GSOPTS=	-q -dBATCH -dSAFER -dQUIET -dNOPAUSE -sPAPERSIZE=letter -r$(GXR)x$(GYR)
JBGOPTS=-m 16 -d 0 -p 92	# Equivalent options for pbmtojbg

.SUFFIXES: .ps .pbm .pgm .pgm2 .ppm .ppm2 .zjs .cmyk .pksm .zc .zm .jbg \
	   .cups .cupm .1 .1in .fig .gif .xqx .lava .qpdl .slx .hc

.fig.gif:
	fig2dev -L gif $*.fig | giftrans -t "#ffffff" -o $*.gif
	# fig2dev -L ppm  $*.fig | pnmquant -fs 256 \
	    #| ppmtogif -transparent rgb:ff/ff/ff >$*.gif

.ps.cups:
	gs $(GSOPTS) -r600x600 \
	    -dcupsColorSpace=6 -dcupsBitsPerColor=2 -dcupsColorOrder=2 \
	    -sDEVICE=cups -sOutputFile=$*.cups $*.ps

.ps.cupm:
	gs $(GSOPTS) -r600x600 \
	    -dcupsColorSpace=3 -dcupsBitsPerColor=2 -dcupsColorOrder=2 \
	    -sDEVICE=cups -sOutputFile=$*.cupm $*.ps

.ps.pbm:
	gs $(GSOPTS) -sDEVICE=pbmraw -sOutputFile=$*.pbm $*.ps

.ps.ppm:
	gs $(GSOPTS) -sDEVICE=ppmraw -sOutputFile=$*.ppm $*.ps

.ps.pgm:
	gs $(GSOPTS) -sDEVICE=pgmraw -sOutputFile=- $*.ps \
	| pnmdepth 3 > $*.pgm

.ps.pgm2:
	gs.rick $(GSOPTS) -sDEVICE=pgmraw2 -sOutputFile=$*.pgm2 $*.ps

.ps.cmyk:
	gs $(GSOPTS) -sDEVICE=bitcmyk -sOutputFile=$*.cmyk $*.ps

.ps.pksm:
	gs $(GSOPTS) -sDEVICE=pksmraw -sOutputFile=$*.pksm $*.ps

.ps.zc:
	gs $(GSOPTS) -sDEVICE=bitcmyk -sOutputFile=- - < $*.ps \
	| ./foo2zjs -r1200x600 -g10200x6600 -p1 >$*.zc

.ps.zm:
	gs $(GSOPTS) -sDEVICE=pbmraw -sOutputFile=- - < $*.ps \
	| ./foo2zjs -r1200x600 -g10200x6600 -p1 >$*.zm

.pbm.zjs:
	./foo2zjs < $*.pbm > $*.zjs

.cmyk.zjs:
	./foo2zjs < $*.cmyk > $*.zjs

.pksm.zjs:
	./foo2zjs < $*.pksm > $*.zjs

.pbm.xqx:
	./foo2xqx < $*.pbm > $*.xqx

.pbm.qpdl:
	./foo2qpdl < $*.pbm > $*.qpdl

.pbm.slx:
	./foo2slx < $*.pbm > $*.slx

.pbm.hc:
	./foo2hiperc < $*.pbm > $*.hc

#
# The usual build rules
#
all:	all-test $(PROGS) $(BINPROGS) $(SHELLS) getweb \
	all-icc2ps all-osx-hotplug man doc \
	all-done

all-test:
	#
	# Dependencies...
	#
	@if ! type $(CC) >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: $(CC) is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install Software Development (gcc) package"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! test -f /usr/include/stdio.h; then \
	    echo "      ***"; \
	    echo "      *** Error: /usr/include/stdio.h is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install Software Development (gcc) package"; \
	    echo "      *** for Ubuntu: sudo apt-get install build-essential"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! type gs >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: gs is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install ghostscript (gs) package"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	@if ! type dc >/dev/null 2>&1; then \
	    echo "      ***"; \
	    echo "      *** Error: dc is not installed!"; \
	    echo "      ***"; \
	    echo "      *** Install dc package"; \
	    echo "      *** for Ubuntu: sudo apt-get install dc"; \
	    echo "      ***"; \
	    exit 1; \
	fi
	# ... OK!
	#

all-done:
	@echo
	@echo "It is possible that certain products which can be built using this"
	@echo "software module might form inventions protected by patent rights in"
	@echo "some countries (e.g., by patents about arithmetic coding algorithms"
	@echo "owned by IBM and AT&T in the USA). Provision of this software by the"
	@echo "author does NOT include any licences for any patents. In those"
	@echo "countries where a patent licence is required for certain applications"
	@echo "of this software module, you will have to obtain such a licence"
	@echo "yourself."


foo2zjs: foo2zjs.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2zjs.o $(LIBJBG)

foo2hp: foo2hp.o $(LIBJBG)
	# $(CC) $(CFLAGS) -o $@ foo2hp.o $(LIBJBG) /usr/local/lib/libdmalloc.a
	$(CC) $(CFLAGS) -o $@ foo2hp.o $(LIBJBG)

foo2xqx: foo2xqx.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2xqx.o $(LIBJBG)

foo2lava: foo2lava.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2lava.o $(LIBJBG)

foo2qpdl: foo2qpdl.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2qpdl.o $(LIBJBG)

foo2oak: foo2oak.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2oak.o $(LIBJBG)

foo2slx: foo2slx.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2slx.o $(LIBJBG)

foo2hiperc: foo2hiperc.o $(LIBJBG)
	$(CC) $(CFLAGS) -o $@ foo2hiperc.o $(LIBJBG)


foo2zjs-wrapper: foo2zjs-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2hp2600-wrapper: foo2hp2600-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2xqx-wrapper: foo2xqx-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2lava-wrapper: foo2lava-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2qpdl-wrapper: foo2qpdl-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2oak-wrapper: foo2oak-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2slx-wrapper: foo2slx-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

foo2hiperc-wrapper: foo2hiperc-wrapper.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@


getweb: getweb.in Makefile
	[ ! -f $@ ] || chmod +w $@
	sed < $@.in > $@ \
	    -e "s@\$${URLZJS}@$(URLZJS)@" \
	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
	chmod 555 $@

all-icc2ps:
	cd icc2ps; $(MAKE) all

all-osx-hotplug:
ifeq ($(UNAME),Darwin)
	cd osx-hotplug; $(MAKE) all
endif

ok: ok.o $(LIBJBG)
	$(CC) $(CFLAGS) ok.o $(LIBJBG) -o $@

zjsdecode: zjsdecode.o $(LIBJBG)

=== osx-hotplug/Makefile ===
LANG=C
UNAME := $(shell uname)
PREFIX= /usr
PREFIX= $(DESTDIR)/usr
BIN=    $(PREFIX)/bin
MANDIR=$(PREFIX)/share/man
INSTALL=install
RC=/etc/rc.local

.SUFFIXES: .1 .1in

ifeq ($(UNAME),Darwin)
all:	osx-hplj-hotplug
else
all:
endif

osx-hplj-hotplug: osx-hplj-hotplug.o
	gcc osx-hplj-hotplug.o -o $@ -framework IOKit -framework CoreFoundation

man:	osx-hplj-hotplug.1

.1in.1: 
	-rm -f $*.1
	MODver=$(VERSION); \
	../includer-man -v DEF1=$(OLDGROFF) $*.1in | sed > $*.1 \
	    -e "s@\$${URLOAK}@$(URLOAK)@" \
	    -e "s@\$${URLZJS}@$(URLZJS)@" \
	    -e "s@\$${URLHP}@$(URLHP)@" \
	    -e "s@\$${URLXQX}@$(URLXQX)@" \
	    -e "s@\$${URLLAVA}@$(URLLAVA)@" \
	    -e "s@\$${URLQPDL}@$(URLQPDL)@" \
	    -e "s@\$${URLSLX}@$(URLSLX)@" \
	    -e "s@\$${URLHC}@$(URLHC)@" \
	    -e "s/\$${MODver}/$$MODver/"
	chmod -w $*.1

install: all
	$(INSTALL) -c osx-hplj-hotplug $(BIN)/

install-hotplug:
	( \
		echo "g/osx-hplj-hotplug/d"; \
		echo "\$$a"; \
		echo "# BEGIN osx-hplj-hotplug from foo2zjs"; \
		echo "	killall osx-hplj-hotplug"; \
		echo "	osx-hplj-hotplug >/tmp/osx-hplj-hotplug 2>&1 &"; \
		echo "# END osx-hplj-hotplug from foo2zjs"; \
		echo "."; \
		echo "w"; \
	) | ex $(RC)
	-killall osx-hplj-hotplug
	nohup osx-hplj-hotplug >/tmp/osx-hplj-hotplug 2>&1 &

install-man: man
	$(INSTALL) -d -m 755 $(MANDIR)
	$(INSTALL) -d -m 755 $(MANDIR)/man1/
	$(INSTALL) -c -m 644 osx-hplj-hotplug.1 $(MANDIR)/man1/

clean:
	rm -f *.o *.1

uninstall:
	( \
		echo "g/osx-hplj-hotplug/d"; \
		echo "w"; \
	) | ex $(RC)
	-rm -f $(BIN)/osx-hplj-hotplug

## foo2zjs 20110722dfsg

=== Makefile ===
--- 
+++ 
@@ -163,6 +163,8 @@
 		slxdecode.1in \
 		gipddecode.c \
 		gipddecode.1in \
+		hbpldecode.c \
+		hbpldecode.1in \
 		foo2zjs-wrapper.in \
 		foo2zjs-wrapper.1in \
 		foo2hp2600-wrapper.in \
@@ -248,6 +250,7 @@
 PROGS+=		foo2slx slxdecode
 PROGS+=		foo2hiperc hipercdecode
 PROGS+=		gipddecode
+PROGS+=		hbpldecode
 ifneq ($(CUPS_SERVERBIN),)
     ifneq ($(CUPS_DEVEL),)
 	PROGS+=	command2foo2lava-pjl
@@ -267,6 +270,7 @@
 MANPAGES+=	foo2slx-wrapper.1 foo2slx.1 slxdecode.1
 MANPAGES+=	foo2hiperc-wrapper.1 foo2hiperc.1 hipercdecode.1
 MANPAGES+=	gipddecode.1
+MANPAGES+=	hbpldecode.1
 MANPAGES+=	foo2zjs-pstops.1 arm2hpdl.1 usb_printerid.1
 MANPAGES+=	printer-profile.1
 LIBJBG	=	jbig.o jbig_ar.o
@@ -277,7 +281,8 @@
 endif
 
 # Compiler flags
-CFLAGS +=	-O2 -Wall
+#CFLAGS +=	-O2 -Wall -Wno-unused-but-set-variable
+CFLAGS +=	-O2 -Wall 
 #CFLAGS +=	-g
 
 #
@@ -504,9 +509,3 @@
 all-osx-hotplug:
 ifeq ($(UNAME),Darwin)
 	cd osx-hotplug; $(MAKE) all
-endif
-
-ok: ok.o $(LIBJBG)
-	$(CC) $(CFLAGS) ok.o $(LIBJBG) -o $@
-
-zjsdecode: zjsdecode.o $(LIBJBG)

=== debian/changelog ===
foo2zjs (20110722dfsg-3) unstable; urgency=low

  * Update 60-getweb.in.patch to add set -e (Closes: #633870 again).

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Jul 2011 23:27:03 +0200

foo2zjs (20110722dfsg-2) unstable; urgency=low

  * Install usb_printerid and its manpage only in Linux (Closes: #635397).

 -- Didier Raboud <odyx@debian.org>  Tue, 26 Jul 2011 15:09:41 +0200

foo2zjs (20110722dfsg-1) unstable; urgency=low

  New 20110525 upstream release.

  [ Didier Raboud ]
  * DFSG repack
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Uploaders:
    - Add myself.
    - Drop Steffen Joeris, with thanks for his past work.
  * Package relationships:
    - Demote cups and cups-client from Depends to Recommends (Closes: #622125).
      This allows one to use foo2zjs with lprng.
    - Add a Recommends on mscompress.
  * Patches:
    - Refresh all.
    - Update 30-udev-rules patch to cope with cups' usblp blacklisting.
    - Add 40-desktop-direct-launch.patch to remove the superfluous "wish"
      launch (avoids a lintian warning).
    - Update debian/patches/60-getweb.in.patch:
      Fix CVE-2011-2684 "Insecure Temporary File" (CWE-277) in
      /usr/bin/getweb by creating a safe temporary directory with mktemp.
      (Closes: #633870, LP: #805370)
    - Enhance 60-getweb.in.patch to forbid live update of /usr/bin/getweb as it
      is packaged. Also correct the typo in getweb. (Closes: #632680)
    - Update 60-hplj1000.patch to use the correct paths in kFreeBSD too.
    - Update 90-manpages.patch to fix more hyphen-used-as-minus mistakes. 
    - Add 91-spelling-fixes.patch to fix 'precission' spelling mistake.
  * Convert to source format 3.0 (quilt)
  * Convert packaging to "tiny" dh7 style.
  * Migrate packaging to Git from Subversion, update Vcs-* fields.
  * Bump Standards-Version to 3.9.2 without changes needed.

  [ Till Kamppeter ]
  * debian/rules: Added "-dNOINTERPOLATE" to the Ghostscript command lines to
    make Ghostscript rendering the pages significantly faster.
  * debian/patches/96-udev-firmware-script-cups-libusb-support.patch:
    Added support for uploading firmwae into printers using the USB backend of
    CUPS. This way the firmware upload also works without the usblp kernel
    module. (Closes: #630227, #630228)
  * debian/patches/95-udev-firmware-script-no-hplip-rules-removal.patch:
    Removed the lines in the UDEV script for the automatic firmware upload
    into the printer which remove the UDEV rules files for HPLIP's automatic
    firmware upload. (LP: #783389)

 -- Didier Raboud <odyx@debian.org>  Mon, 25 Jul 2011 17:53:17 +0200

foo2zjs (20110210dfsg-2) unstable; urgency=low

  [ Luca Capello ]
  * debian/README.Debian:
    + rephrase paragraph about "HPLJ 10xx Replaced Paper" icon.

  [ Till Kamppeter ]
  * Merge from Ubuntu natty.
  * debian/patches/series: update.
  * debian/patches/40-desktop-nodisplay-true.patch:
    + do not display the "HPLJ 10xx Replaced Paper" icon by default
      (see #579154).
  * debian/rules:
    + install Apport hook on Ubuntu and derivatives.
  * debian/ubuntu/apport-hook.py: new file.

 -- Luca Capello <luca@pca.it>  Wed, 30 Mar 2011 23:20:11 +0200

foo2zjs (20110210dfsg-1) unstable; urgency=low

  * Move to team maintenance: Debian Printing Team at
      http://wiki.debian.org/Teams/Printing

  [ Luca Capello ]
  * New upstream version (Closes: #594322).
  * DFSG repack
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * debian/control:
    + team maintenance.
    + Build-Depends: on dc.
  * debian/foo2zjs.dirs:
    + add /usr/lib/cups/filter/.
  * debian/foo2zjs-icc2ps.1:
    - remove, upstream now ships a different version.
  * debian/manpages:
    - remove, now useless.
  * debian/patches/series: update.
  * debian/patches/20-honour-papersize.patch:
    + add a note that this patch is now useless, given that
      starting with this version it is done in debian/rules.
  * debian/patches/20-PDF-input-data-in-PPDs.patch:
    + fake patch to show differences with upstream, it is
      done in debian/rules.
  * debian/patches/40-desktop-encoding-correction.patch,
    debian/patches/60-getweb.in.patch:
    + Update to work with new foo2zjs source.
  * debian/rules:
    + add pointers to the patches above.

  [ Till Kamppeter ]
  * Merge from Ubuntu maverick.
  * debian/control:
    + Add dependency on cups and cups-client to ensure that automatic
      update of the PPDs of existing print queues works.
  * debian/foo2zjs.postinst:
    + Automatically update the PPD files for existing queues to the
      versions supplied with this package.
  * debian/patches/20-honour-papersize.patch,
    debian/patches/30-udev-rules.patch,
    debian/patches/70-lib-firwmare-hp.patch,
    debian/patches/80-getweb.in.patch,
    debian/patches/90-manpages.patch:
    + Update to work with new foo2zjs source.
  * debian/patches/60-getweb.in.patch:
    + Install ICM files into the directories of the correct drivers.
  * debian/rules:
    + Add "CUPS_SERVERBIN=..." to the "make install" command line.
    + Add "*cupsFilter" line to accept PDF input data to the PPDs.
    + Add /etc/papersize support.
    + Add useful comments.
    + Correct upstream link to the CUPS filter.
    + Install additional PPDs and compress them.

  [ Steve Langasek ]
  * Merge from Ubuntu maverick.
  * debian/patches/30-udev-rules.dpatch:
    + Add udev rule for HP Laserjet P1505n.

 -- Luca Capello <luca@pca.it>  Sun, 20 Feb 2011 19:19:18 +0100

foo2zjs (20090908dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    + Depends: on dc (Closes: #609761).

 -- Didier Raboud <odyx@debian.org>  Wed, 12 Jan 2011 14:49:08 +0100

foo2zjs (20090908dfsg-5) unstable; urgency=low

  [ Luca Capello ]
  * debian/README.Debian:
    + add a note about the "HPLJ 10xx Replaced Paper" GUI requiring
      tk8.4 and tix, now Suggests:.
  * debian/control:


=== debian/control ===
Source: foo2zjs
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 7.0.50~), ghostscript, foomatic-filters, libcups2-dev, dc
Standards-Version: 3.9.2
Homepage: http://foo2zjs.rkkda.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/foo2zjs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/foo2zjs.git

Package: foo2zjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, foomatic-filters, dc
Recommends: foomatic-db-engine, wget, unzip, mscompress, cups, cups-client
Suggests: psutils, hannah-foo2zjs, tk8.4, tix
Breaks: udev (<< 136-1)
Description: Support for printing to ZjStream-based printers
 foo2zjs is an open source printer driver for printers that use the
 Zenographics ZjStream wire protocol for their print data, such as the
 Minolta magicolor 2200/2300/2430 DL, Minolta Color PageWorks/Pro L and
 HP LaserJet 1000/1005/1018/1020/1022. These printers are often
 erroneously referred to as "winprinters" or "GDI printers".
 .
 This package provides the following drivers: foo2hiperc, foo2hp,
 foo2lava, foo2oak, foo2qpdl, foo2slx, foo2xqx, foo2zjs.
 .
 The foomatic-db-engine package is recommended to simplify configuring
 this printer driver.  The psutils package is needed to enable n-up
 printing support.

=== debian/rules ===
#!/usr/bin/make -f

derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@ 

override_dh_auto_build:
	cp printer-profile.in printer-profile
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/tmp/usr MODEL=$(CURDIR)/debian/tmp/usr/share/cups/model FOODB=$(CURDIR)/debian/tmp/usr/share/foomatic/db/source PPD=$(CURDIR)/debian/tmp/usr/share/ppd CUPS_SERVERBIN=$(CURDIR)/debian/tmp/usr/lib/cups

override_dh_install:
	### patches/20-honour-papersize.patch
	# Add support for /etc/papersize to all wrapper scripts. In contrary
	# to a patch this will automatically apply to every new wrapper script
	# which gets added to this package in the future.
	perl -p -i -e 's/^PAPER=(\d+)\s*$$/test -r \/etc\/papersize && PAPER=\x24\(cat \/etc\/papersize\)\ntest "\x24PAPER" || PAPER=\1\n/' $(CURDIR)/debian/tmp/usr/bin/*-wrapper
	# Add "-dNOINTERPOLATE" to the Ghostscript command lines to make
	# Ghostscript rendering the pages significantly faster
	perl -p -i -e 's/dNOPAUSE/dNOPAUSE -dNOINTERPOLATE/g' $(CURDIR)/debian/tmp/usr/bin/*-wrapper
	# Use a policy-numbered name for the rules file
	install -D -m 644 hplj10xx.rules $(CURDIR)/debian/tmp/lib/udev/rules.d/85-hplj10xx.rules
	# Legacy dh_install
	dh_install
	# usb_printerid is Linux-specific
ifeq ($(DEB_HOST_ARCH_OS),linux)
	install -D -m 644 usb_printerid $(CURDIR)/debian/foo2zjs/usr/bin/usb_printerid
	install -D -m 644 usb_printerid.1 $(CURDIR)/debian/foo2zjs/usr/share/man/man1/usb_printerid.1
endif
	### patches/20-PDF-input-data-in-PPDs.patch
	# Add "*cupsFilter" line to accept PDF input data to the PPDs and compress them
	( cd $(CURDIR)/debian/foo2zjs/usr/share/ppd/foo2zjs; \
	  find -name '*.ppd.gz' -exec gunzip {} \; ; \
	  find -name '*.ppd' -exec perl -p -i -e 's,^\*cupsFilter:\s*\"application/vnd.cups-postscript\s+0\s+foomatic-rip\",*cupsFilter: "application/vnd.cups-postscript 100 foomatic-rip"\n*cupsFilter: "application/vnd.cups-pdf 0 foomatic-rip",' {} \; ; \
	  find -name '*.ppd' -exec gzip -9 {} \; ;\
	)
	# Install the apport hook on Ubuntu and derivatives
ifeq ($(derives_from_ubuntu),yes)
	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/foo2zjs/usr/share/apport/package-hooks/source_foo2zjs.py
endif

override_dh_auto_test:
	# Run the tests in non-failing mode (they fail…)
	- dh_auto_test

override_dh_compress:
	dh_compress -X.pdf

override_dh_auto_clean:
	dh_auto_clean
	- rm -f 85-hplj10xx.rules

## foo2zjs 20110811dfsg

=== Makefile ===
--- 
+++ 
@@ -406,6 +406,22 @@
 	    echo "      ***"; \
 	    exit 1; \
 	fi
+	@if ! dc -V >/dev/null 2>&1; then \
+	    echo "      ***"; \
+	    echo "      *** Error: must install GNU dc with the -e option!"; \
+	    echo "      ***"; \
+	    exit 1; \
+	fi
+ifeq ($(UNAME),Darwin)
+	@if ! type gsed >/dev/null 2>&1; then \
+	    echo "      ***"; \
+	    echo "      *** Error: gsed is not installed!"; \
+	    echo "      ***"; \
+	    echo "      *** For OSX: sudo port install gsed"; \
+	    echo "      ***"; \
+	    exit 1; \
+	fi
+endif
 	# ... OK!
 	#
 
@@ -489,23 +505,3 @@
 	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
 	chmod 555 $@
 
-foo2hiperc-wrapper: foo2hiperc-wrapper.in Makefile
-	[ ! -f $@ ] || chmod +w $@
-	sed < $@.in > $@ \
-	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
-	chmod 555 $@
-
-
-getweb: getweb.in Makefile
-	[ ! -f $@ ] || chmod +w $@
-	sed < $@.in > $@ \
-	    -e "s@\$${URLZJS}@$(URLZJS)@" \
-	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
-	chmod 555 $@
-
-all-icc2ps:
-	cd icc2ps; $(MAKE) all
-
-all-osx-hotplug:
-ifeq ($(UNAME),Darwin)
-	cd osx-hotplug; $(MAKE) all

=== debian/changelog ===
foo2zjs (20110811dfsg-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Depends on the mscompress package.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 22 Aug 2011 09:02:00 +0200

foo2zjs (20110811dfsg-1) unstable; urgency=low

  * New 20110811 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Replace the PPD-updater postinst code by CUPS' trigger.
    - Breaks against too old cups versions.
    - Add a ppd-updater file, to trigger with parameters.
  * Compress PPDs using {dh_,}pyppd.
    - Add versioned pyppd Build-Depends.
    - Call dh_pyppd after installing the PPDs, don't compress them individually.
    - Update the ppd-updater file with the new regexp.

 -- Didier Raboud <odyx@debian.org>  Thu, 18 Aug 2011 14:00:20 +0200

foo2zjs (20110722dfsg-3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Depends on the mscompress package.
    - Depends on cup and cups-client and does not only recommend them. Ubuntu
      supports only CUPS as printing system (more investigation needed).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 28 Jul 2011 00:35:00 +0200

foo2zjs (20110210dfsg-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/96-udev-firmware-script-cups-libusb-support.patch:
      Added support for uploading firmwae into printers using the USB backend
      of CUPS. This way the firmware upload also works without the usblp
      kernel module (Closes: #630228).
    - debian/patches/95-udev-firmware-script-no-hplip-rules-removal.patch:
      Removed the lines in the UDEV script for the automatic firmware upload
      into the printer which remove the UDEV rules files for HPLIP's automatic
      firmware upload. NO WARS BETWEEN FREE SOFTWARE PROJECTS! (LP: #783389).
    - Depends on the mscompress package.
  * debian/rules: Added "-dNOINTERPOLATE" to the Ghostscript command lines to
    make Ghostscript rendering the pages significantly faster.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 23 Jul 2011 22:37:00 +0200

foo2zjs (20110210dfsg-1ubuntu5) oneiric; urgency=low

  * debian/patches/96-udev-firmware-script-cups-libusb-support.patch:
    Small fix on the patch.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 14 Jun 2011 17:47:00 +0200

foo2zjs (20110210dfsg-1ubuntu4) oneiric; urgency=low

  * debian/patches/96-udev-firmware-script-cups-libusb-support.patch:
    Added support for uploading firmwae into printers using the USB backend
    of CUPS. This way the firmware upload also works without the usblp
    kernel module (Closes: #630228).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 14 Jun 2011 16:35:00 +0200

foo2zjs (20110210dfsg-1ubuntu3) oneiric; urgency=low

  * debian/patches/95-udev-firmware-script-no-hplip-rules-removal.patch:
    Removed the lines in the UDEV script for the automatic firmware upload into
    the printer which remove the UDEV rules files for HPLIP's automatic
    firmware upload. NO WARS BETWEEN FREE SOFTWARE PROJECTS! (LP: #783389).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  8 Jun 2011 13:30:00 +0200

foo2zjs (20110210dfsg-1ubuntu2) natty; urgency=low

  * debian/control: Dropped dependency on mscompress on the merge from Debian,
    re-added it.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  8 Mar 2011 12:00:00 +0100

foo2zjs (20110210dfsg-1ubuntu1) natty; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/rules: Hide menu entry for the paper-out resetter for the HP
      LaserJet 1018/1020 and improve UI text for this menu entry.
    - debian/local/apport-hook.py, debian/rules: Add apport hook.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 22 Feb 2011 14:20:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Michael Koch <konqueror@gmx.de>, Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), ghostscript, foomatic-filters, libcups2-dev, dc
+Build-Depends: debhelper (>= 7.0.50~), ghostscript, foomatic-filters, libcups2-dev, dc, pyppd (>= 0.4.9-3~)
 Standards-Version: 3.9.2
 Homepage: http://foo2zjs.rkkda.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/foo2zjs.git
@@ -11,10 +11,10 @@
 
 Package: foo2zjs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, foomatic-filters, dc
+Depends: ${shlibs:Depends}, ${misc:Depends}, foomatic-filters, dc, mscompress
 Recommends: foomatic-db-engine, wget, unzip, mscompress, cups, cups-client
 Suggests: psutils, hannah-foo2zjs, tk8.4, tix
-Breaks: udev (<< 136-1)
+Breaks: udev (<< 136-1), cups (<< 1.5.0-3~)
 Description: Support for printing to ZjStream-based printers
  foo2zjs is an open source printer driver for printers that use the
  Zenographics ZjStream wire protocol for their print data, such as the

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	install -D -m 644 hplj10xx.rules $(CURDIR)/debian/tmp/lib/udev/rules.d/85-hplj10xx.rules
 	# Legacy dh_install
 	dh_install
+	install -D -m 755 debian/foo2zjs.ppd-updater $(CURDIR)/debian/foo2zjs/usr/share/cups/ppd-updaters/foo2zjs
 	# usb_printerid is Linux-specific
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	install -D -m 644 usb_printerid $(CURDIR)/debian/foo2zjs/usr/bin/usb_printerid
@@ -36,8 +37,8 @@
 	( cd $(CURDIR)/debian/foo2zjs/usr/share/ppd/foo2zjs; \
 	  find -name '*.ppd.gz' -exec gunzip {} \; ; \
 	  find -name '*.ppd' -exec perl -p -i -e 's,^\*cupsFilter:\s*\"application/vnd.cups-postscript\s+0\s+foomatic-rip\",*cupsFilter: "application/vnd.cups-postscript 100 foomatic-rip"\n*cupsFilter: "application/vnd.cups-pdf 0 foomatic-rip",' {} \; ; \
-	  find -name '*.ppd' -exec gzip -9 {} \; ;\
 	)
+	dh_pyppd
 	# Install the apport hook on Ubuntu and derivatives
 ifeq ($(derives_from_ubuntu),yes)
 	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/foo2zjs/usr/share/apport/package-hooks/source_foo2zjs.py

## foo2zjs 20111023dfsg0

=== debian/changelog ===
foo2zjs (20111023dfsg0-1) unstable; urgency=low

  * New 20111023 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh patches, delete 96-udev-firmware-script-cups-libusb-support.patch:
    included upstream.
  * Rename foo2zjs to printer-driver-foo2zjs, add transitional package.
  * Bump debhelper compat to 9, for auto- buildflags.
  * Drop superflous ppd-updater shebang.

 -- Didier Raboud <odyx@debian.org>  Tue, 25 Oct 2011 11:52:45 +0200

=== debian/control ===
Source: foo2zjs
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Michael Koch <konqueror@gmx.de>, Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 8.9.0~), ghostscript, foomatic-filters, libcups2-dev, dc, pyppd (>= 0.4.9-3~)
Standards-Version: 3.9.2
Homepage: http://foo2zjs.rkkda.com/
Vcs-Git: git://anonscm.debian.org/collab-maint/foo2zjs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/foo2zjs.git

Package: printer-driver-foo2zjs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, foomatic-filters, dc
Recommends: foomatic-db-engine, wget, unzip, mscompress, cups, cups-client
Suggests: psutils, hannah-foo2zjs, tk8.4, tix
Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~)
Replaces: foo2zjs (<< 20111023dfsg0-1~)
Description: printer driver for ZjStream-based printers
 foo2zjs is an open source printer driver for printers that use the
 Zenographics ZjStream wire protocol for their print data, such as the
 Minolta magicolor 2200/2300/2430 DL, Minolta Color PageWorks/Pro L and
 HP LaserJet 1000/1005/1018/1020/1022. These printers are often
 erroneously referred to as "winprinters" or "GDI printers".
 .
 This package provides the following drivers: foo2hiperc, foo2hp,
 foo2lava, foo2oak, foo2qpdl, foo2slx, foo2xqx, foo2zjs.
 .
 The foomatic-db-engine package is recommended to simplify configuring
 this printer driver.  The psutils package is needed to enable n-up
 printing support.

Package: foo2zjs
Depends: printer-driver-foo2zjs, ${misc:Depends}
Architecture: all
Section: oldlibs
Priority: extra
Description: transitional dummy package for foo2zjs printer driver
 This is a transitional dummy package to transition to uniformly named
 printer-driver-foo2zjs.

## foo2zjs 20111202dfsg0

=== Makefile ===
--- 
+++ 
@@ -80,8 +80,6 @@
 ifeq ($(UNAME),SunOS)
     MODTIME= `ls -e $$1 | cut -c42-61`
 endif
-
-CUPS_SERVERBIN := $(shell cups-config --serverbin 2>/dev/null)
 
 #
 # Files for tarball
@@ -237,11 +235,14 @@
 		command2foo2lava-pjl.c \
 		$(NULL)
 
+# CUPS vars
+CUPS_SERVERBIN := $(shell cups-config --serverbin 2>/dev/null)
+CUPS_DEVEL := $(shell grep cupsSideChannelDoRequest /usr/include/cups/sidechannel.h 2>/dev/null)
+CUPS_GOODAPI := $(shell cups-config --api-version 2>/dev/null | sed "s/1\.[0123].*//")
+
 # hpclj2600n-0.icm km2430_0.icm km2430_1.icm km2430_2.icm samclp300-0.icm
 # sihp1000.img sihp1005.img sihp1020.img sihp1018.img
 # sihpP1005.img sihpP1006.img sihpP1505.img
-
-CUPS_DEVEL := $(shell ls /usr/include/cups/sidechannel.h 2>/dev/null)
 
 # Programs and libraries
 PROGS=		foo2zjs zjsdecode arm2hpdl foo2hp foo2xqx xqxdecode
@@ -253,7 +254,9 @@
 PROGS+=		hbpldecode
 ifneq ($(CUPS_SERVERBIN),)
     ifneq ($(CUPS_DEVEL),)
-	PROGS+=	command2foo2lava-pjl
+	ifneq ($(CUPS_GOODAPI),)
+	    PROGS+=	command2foo2lava-pjl
+	endif
     endif
 endif
 SHELLS=		foo2zjs-wrapper foo2oak-wrapper foo2hp2600-wrapper \
@@ -499,9 +502,3 @@
 	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
 	chmod 555 $@
 
-foo2slx-wrapper: foo2slx-wrapper.in Makefile
-	[ ! -f $@ ] || chmod +w $@
-	sed < $@.in > $@ \
-	    -e 's@^PREFIX=.*@PREFIX=$(PREFIX)@' || (rm -f $@ && exit 1)
-	chmod 555 $@
-

=== debian/changelog ===
foo2zjs (20111202dfsg0-1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Depends on the mscompress package.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 14 Feb 2012 09:42:00 +0100

foo2zjs (20111202dfsg0-1) unstable; urgency=low

  * New 20111202 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh patches.
  * Bump Build-Depends on pyppd to 0.4.9-6~ to make sure the compressed
    PPD archive is named correctly.

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Dec 2011 10:10:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Michael Koch <konqueror@gmx.de>, Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.9.0~), ghostscript, foomatic-filters, libcups2-dev, dc, pyppd (>= 0.4.9-3~)
+Build-Depends: debhelper (>= 8.9.0~), ghostscript, foomatic-filters, libcups2-dev, dc, pyppd (>= 0.4.9-6~)
 Standards-Version: 3.9.2
 Homepage: http://foo2zjs.rkkda.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/foo2zjs.git
@@ -11,7 +11,7 @@
 
 Package: printer-driver-foo2zjs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, foomatic-filters, dc
+Depends: ${shlibs:Depends}, ${misc:Depends}, foomatic-filters, dc, mscompress
 Recommends: foomatic-db-engine, wget, unzip, mscompress, cups, cups-client
 Suggests: psutils, hannah-foo2zjs, tk8.4, tix
 Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~)

=== debian/rules ===
--- 
+++ 
@@ -26,22 +26,21 @@
 	install -D -m 644 hplj10xx.rules $(CURDIR)/debian/tmp/lib/udev/rules.d/85-hplj10xx.rules
 	# Legacy dh_install
 	dh_install
-	install -D -m 755 debian/foo2zjs.ppd-updater $(CURDIR)/debian/foo2zjs/usr/share/cups/ppd-updaters/foo2zjs
 	# usb_printerid is Linux-specific
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	install -D -m 644 usb_printerid $(CURDIR)/debian/foo2zjs/usr/bin/usb_printerid
-	install -D -m 644 usb_printerid.1 $(CURDIR)/debian/foo2zjs/usr/share/man/man1/usb_printerid.1
+	install -D -m 644 usb_printerid $(CURDIR)/debian/printer-driver-foo2zjs/usr/bin/usb_printerid
+	install -D -m 644 usb_printerid.1 $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/man/man1/usb_printerid.1
 endif
 	### patches/20-PDF-input-data-in-PPDs.patch
 	# Add "*cupsFilter" line to accept PDF input data to the PPDs and compress them
-	( cd $(CURDIR)/debian/foo2zjs/usr/share/ppd/foo2zjs; \
+	( cd $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/ppd/foo2zjs; \
 	  find -name '*.ppd.gz' -exec gunzip {} \; ; \
 	  find -name '*.ppd' -exec perl -p -i -e 's,^\*cupsFilter:\s*\"application/vnd.cups-postscript\s+0\s+foomatic-rip\",*cupsFilter: "application/vnd.cups-postscript 100 foomatic-rip"\n*cupsFilter: "application/vnd.cups-pdf 0 foomatic-rip",' {} \; ; \
 	)
 	dh_pyppd
 	# Install the apport hook on Ubuntu and derivatives
 ifeq ($(derives_from_ubuntu),yes)
-	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/foo2zjs/usr/share/apport/package-hooks/source_foo2zjs.py
+	install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/apport/package-hooks/source_foo2zjs.py
 endif
 
 override_dh_auto_test:

## foo2zjs 20120223dfsg0

=== debian/changelog ===
foo2zjs (20120223dfsg0-1) unstable; urgency=low

  * New 20120223 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh patches.
  * Remove Michael Koch from the Uploaders field (Closes: #654017)
  * Ship the devd hplj10xx.conf on kFreeBSD. (Closes: #662146)
  * Ship the udev rules file on Linux only.

 -- Didier Raboud <odyx@debian.org>  Sun, 04 Mar 2012 21:22:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: text
 Priority: optional
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
-Uploaders: Michael Koch <konqueror@gmx.de>, Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
+Uploaders: Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 8.9.0~), ghostscript, foomatic-filters, libcups2-dev, dc, pyppd (>= 0.4.9-6~)
 Standards-Version: 3.9.2
 Homepage: http://foo2zjs.rkkda.com/
@@ -11,7 +11,7 @@
 
 Package: printer-driver-foo2zjs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, foomatic-filters, dc, mscompress
+Depends: ${shlibs:Depends}, ${misc:Depends}, foomatic-filters, dc
 Recommends: foomatic-db-engine, wget, unzip, mscompress, cups, cups-client
 Suggests: psutils, hannah-foo2zjs, tk8.4, tix
 Breaks: udev (<< 136-1), cups (<< 1.5.0-3~), foo2zjs (<< 20111023dfsg0-1~)

## foo2zjs 20120510dfsg0

=== debian/changelog ===
foo2zjs (20120510dfsg0-1) unstable; urgency=low

  * New 20120510 upstream release.
    - Acknowledge the expiration of the JBIG-KIT patent.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Refresh patches.
  * Drop the source lintian override for debhelper 9.

 -- Didier Raboud <odyx@debian.org>  Wed, 23 May 2012 17:59:07 +0200

foo2zjs (20120223dfsg0-2) unstable; urgency=low

  * Use the Debian-provided libjbig:
    - Add libjbig-dev to Build-Depends;
    - Add 20-system-libjbig.patch.
  * Bump Standards-Version to 3.9.3 without changes needed.
  * Bump debhelper Build-Dependency to 9.

 -- Didier Raboud <odyx@debian.org>  Thu, 26 Apr 2012 10:22:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Uploaders: Luca Capello <luca@pca.it>, Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.9.0~), ghostscript, foomatic-filters, libcups2-dev, dc, pyppd (>= 0.4.9-6~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), ghostscript, foomatic-filters, libcups2-dev, dc, pyppd (>= 0.4.9-6~), libjbig-dev
+Standards-Version: 3.9.3
 Homepage: http://foo2zjs.rkkda.com/
 Vcs-Git: git://anonscm.debian.org/collab-maint/foo2zjs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/foo2zjs.git

=== debian/rules ===
--- 
+++ 
@@ -22,14 +22,18 @@
 	# Add "-dNOINTERPOLATE" to the Ghostscript command lines to make
 	# Ghostscript rendering the pages significantly faster
 	perl -p -i -e 's/dNOPAUSE/dNOPAUSE -dNOINTERPOLATE/g' $(CURDIR)/debian/tmp/usr/bin/*-wrapper
-	# Use a policy-numbered name for the rules file
-	install -D -m 644 hplj10xx.rules $(CURDIR)/debian/tmp/lib/udev/rules.d/85-hplj10xx.rules
 	# Legacy dh_install
 	dh_install
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 	# usb_printerid is Linux-specific
-ifeq ($(DEB_HOST_ARCH_OS),linux)
 	install -D -m 644 usb_printerid $(CURDIR)/debian/printer-driver-foo2zjs/usr/bin/usb_printerid
 	install -D -m 644 usb_printerid.1 $(CURDIR)/debian/printer-driver-foo2zjs/usr/share/man/man1/usb_printerid.1
+	# Use a policy-numbered name for the Linux-specific udev rules file
+	install -D -m 644 hplj10xx.rules $(CURDIR)/debian/printer-driver-foo2zjs/lib/udev/rules.d/85-hplj10xx.rules
+endif
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+	# /etc/devd/hplj10xx.conf is kFreeBSD-specific
+	install -D -m 644 hplj10xx.conf $(CURDIR)/debian/printer-driver-foo2zjs/etc/devd/hplj10xx.conf
 endif
 	### patches/20-PDF-input-data-in-PPDs.patch
 	# Add "*cupsFilter" line to accept PDF input data to the PPDs and compress them
